Okay
  Public Ticket #1409264
Theme is infected with a virus.
Closed

Comments

  • Muhammed started the conversation

    Hi

    Theme is open (bug) inside so there is a malware virus in 'function.php'. Antivirus scanning, reinstalling the theme, etc. but the virus copies itself again using the same hunger. We received support from our hosting service and directed us to the theme maker. What ways can we follow this issue? We are waiting for your help. The situation is very urgent and important ...

  •  110
    Kris replied

    Hi,

    In function.php of theme original was no  malware code with sure. 

    But if your wordpress installation is hacked code can be added in any place. Most of virus add code to popular files (function.php is in every WP theme).

    First of all you need cleen your WP installation. Did you have remove file 404.js ( this is with sure not native WP file and can be cause of problems)?

    Than you can :

    1. Make copy of database and backup of all files.

    2. Replace all core WP files with original fresh. 

    Your root WP folder should contain only files and folders as bellow:

    Remove all other files or folders.

    Remove wp-admin and wp-includes and replace with fresh such folder from clean WP (of course in your version).

    Replace all files in root except htaccess and wp-config with fresh one.

    3. Clean plugins and themes. Best remove and install again

    Please check if all your theme and pplugins are up to date. 

    Kris

    DynamicPress Support Team

  • Muhammed replied

    Hello again;
    We thank you for your help, but we did all of the things they said but unfortunately we did not get results. I need to find it urgently, so I think I have to bug where the bi is writing the new files. The web page of our company does not fit into a corporate blog like this
    good work.

  • Sean replied

    Is there a theme update I messed? Visual Composer stooped working on 15 of my IGORA Themed websites! WTF!!! 

  •  110
    Kris replied

    Hi,

    Updated version 2.4 with ewest versions of bundled plugins and compatible with WP 4.9 and Woocommerce 3.2 is already published.

    Kris

    DynamicPress Support Team